[arch-commits] Commit in libreoffice-fresh-i18n/repos/extra-any (PKGBUILD PKGBUILD)

Andreas Radke andyrtr at archlinux.org
Fri Nov 14 18:55:57 UTC 2014


    Date: Friday, November 14, 2014 @ 19:55:57
  Author: andyrtr
Revision: 226253

archrelease: copy trunk to extra-any

Added:
  libreoffice-fresh-i18n/repos/extra-any/PKGBUILD
    (from rev 226252, libreoffice-fresh-i18n/trunk/PKGBUILD)
Deleted:
  libreoffice-fresh-i18n/repos/extra-any/PKGBUILD

----------+
 PKGBUILD |  708 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 354 insertions(+), 354 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2014-11-14 18:55:44 UTC (rev 226252)
+++ PKGBUILD	2014-11-14 18:55:57 UTC (rev 226253)
@@ -1,354 +0,0 @@
-# $Id$
-# Maintainer: Andreas Radke <andyrtr at archlinux.org>
-# Maintainer: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-
-pkgbase=libreoffice-fresh-i18n
-
-pkgver=4.3.3
-pkgrel=1
-_rcver=${pkgver}.2
-#_oodlver=${pkgver}.0.beta1
-_oodlver=${pkgver}
-
-arch=('any')
-url="http://www.documentfoundation.org"
-license=('LGPL')
-makedepends=('rpmextract')
-
-#http://download.documentfoundation.org/mirrors/all.html
-_url="http://download.documentfoundation.org/libreoffice/stable"
-#_url="http://download.documentfoundation.org/libreoffice/testing"
-#_url="http://dev-builds.libreoffice.org/pre-releases"
-#_url="http://www.libreoffice.org/download/pre-releases"
-
-#_url+="/${pkgver}-rc2/rpm/x86"
-_url+="/${pkgver}/rpm/x86"
-#_url+="/rpm/x86"
-
-_languages=(
-  'af            "Afrikaans"'
-  'am            "Amharic"'
-  'ar            "Arabic"'
-  'as            "Assamese (India)"'
-  'ast           "Asturianu"'
-  'be            "Belarusian"'
-  'bg            "Bulgarian"'
-  'bn            "Bengali"'
-  'bn-IN         "Bengali (India)"'
-  'bo            "Tibetan"'
-  'br            "Breton"'
-  'brx           "Bodo"'
-  'bs            "Bosnian"'
-  'ca            "Catalan"'
-  'ca-valencia   "Catalan (Valencia)"'
-  'cs            "Czech"'
-  'cy            "Welsh"'
-  'da            "Danish"'
-  'de            "German"'
-  'dgo           "Dogri"'
-  'dz            "Dzongkha"'
-  'el            "Greek"'
-  'en-GB         "English (GB)"'
-  'en-ZA         "English (ZA)"'
-  'eo            "Esperanto"'
-  'es            "Spanish"'
-  'et            "Estonian"'
-  'eu            "Basque"'
-  'fa            "Persian"'
-  'fi            "Finnish"'
-  'fr            "French"'
-  'ga            "Irish"'
-  'gd            "Gaelic (Scottish)"'
-  'gl            "Galician"'
-  'gu            "Gujarati"'
-  'he            "Hebrew"'
-  'hi            "Hindi"'
-  'hr            "Croatian"'
-  'hu            "Hungarian"'
-  'id            "Indonesian"'
-  'is            "Icelandic"'
-  'it            "Italian"'
-  'ja            "Japanese"'
-  'ka            "Georgian"'
-  'kk            "Kazakh"'
-  'km            "Khmer (Cambodia)"'
-  'kmr-Latn      "Kurdish"'
-  'kn            "Kannada"'
-  'ko            "Korean"'
-  'kok           "Konkani"'
-  'ks            "Kashmiri"'
-  'lb            "Luxembourgish"'
-  'lo            "Lao"'
-  'lt            "Lithuanian"'
-  'lv            "Latvian"'
-  'mai           "Maithili"'
-  'mk            "Macedonian"'
-  'ml            "Malayalam"'
-  'mn            "Mongolian"'
-  'mni           "Manipuri"'
-  'mr            "Marathi"'
-  'my            "Burmese"'
-  'nb            "Norwegian Bokmal"'
-  'ne            "Nepali"'
-  'nl            "Dutch"'
-  'nn            "Norwegian Nynorsk"'
-  'nr            "Ndebele (South)"'
-  'nso           "Northern Sotho"'
-  'oc            "Occitan"'
-  'om            "Oromo"'
-  'or            "Oriya"'
-  'pa-IN         "Punjabi (India)"'
-  'pl            "Polish"'
-  'pt            "Portuguese"'
-  'pt-BR         "Portuguese (Brasil)"'
-  'ro            "Romanian"'
-  'ru            "Russian"'
-  'rw            "Kinyarwanda"'
-  'sa-IN         "Sanskrit (India)"'
-  'sat           "Santali"'
-  'sd            "Sindhi"'
-  'si            "Singhalese"'
-  'sid           "Sidama"'
-  'sk            "Slovak"'
-  'sl            "Slovenian"'
-  'sq            "Albanien"'
-  'sr            "Serbian"'
-  'sr-Latn       "Serbian (Latin)"'
-  'ss            "Swati"'
-  'st            "Southern Sotho"'
-  'sv            "Swedish"'
-  'sw-TZ         "Swahili (Tanzania)"'
-  'ta            "Tamil"'
-  'te            "Telugu"'
-  'tg            "Tajik"'
-  'th            "Thai"'
-  'tn            "Tswana"'
-  'tr            "Turkish"'
-  'ts            "Tsonga"'
-  'tt            "Tatar"'
-  'ug            "Uighur"'
-  'uk            "Ukrainian"'
-  'uz            "Uzbek"'
-  've            "Venda"'
-  'vi            "Vietnamese"'
-  'xh            "Xhosa"'
-  'zh-CN         "Chinese (simplified)"'
-  'zh-TW         "Chinese (traditional)"'
-  'zu            "Zulu"'
-)
-md5sums=('8347123f1b8b5acbe0abea29d39ea1de'
-         '67dde05336c404da090d10dc0e6d0aca'
-         '883abe863f3aa6021e3e27ff6cc4e018'
-         '6ac2191c0c870388d21ea88a5b6f8208'
-         '296b35b7d5c5fce68d3819cd36b0ca9a'
-         '16579b82411fe9e73f0861c77417a1bf'
-         '3ca7d71c47e7edbbaf1422d55abd27c0'
-         '351727acb491d28d1acfd744746ff06c'
-         'da84539985003968b27715d0495734dd'
-         '850bc0ffc099b596529ce6edd7dcdeff'
-         '12b774b1881d4d423eb3048354b2c472'
-         '3d795e8b3b41defa312d26f70872457d'
-         '0656ebcad46644eb84f38d4c0f0ed5e9'
-         '400f93c8612a3c54362bbeb691d6c120'
-         'def1c0be985006ff954fe31cdcde0123'
-         '4eb6ad1f0cf545785fe31f83f1e7e8a1'
-         '4c27ee5b6a6d46e4363398f01a3ded3d'
-         '892fab2fb1f5e0754c3d21a7a3b21b03'
-         '34c8ea18bbf061c5023f65fea02f6d8b'
-         'd7dd4a68b619df2e54808cfb4eaa9161'
-         'e8890aef148598864d431187f5eaa2d3'
-         '42ed96cb2a30135f34c0ed34b0171165'
-         '0627c8c079c4396632b31b970020a432'
-         'a981352de06bfff55e42ecf6b01a2097'
-         '377a7152d8fc0f22456204835ac82967'
-         '5917331083edfae310b832ec35d7daa5'
-         '404558c7f59a80ea4ee624e393135860'
-         '228f944cce14613ca9c060ffc2a9b2d1'
-         'c5cc01daf144480f8cb5067219f16998'
-         'a541b623b9ad277251254a3a5a424d10'
-         '169103394d665322704971f63d74009f'
-         '036469afb93900bfd5b43042bc65c4bb'
-         '3783ad688d0de60e2c5ab09a763b8c6c'
-         'c0bdf990db899268dc3d871e69261419'
-         'f7b45ac7ceb9e4384c0a5ef7c2228b2d'
-         '39eef93a253b0340b0817f72ddb5fe9f'
-         '843399d22f303cb973f5fe8820f60732'
-         '71265e5f61a1fa6a9e1a262313898bce'
-         'c47a26ba8456bbee7802648a017ccdbb'
-         'b568704dac1d60bf56648a97649e91ba'
-         'ae5462fc4e83561f6ddb52933ad9ee84'
-         '4dc6888d890cceff18cc8da0a5bbacb6'
-         'bf875ea2a68da6bb12c4ec39b58ab505'
-         '5fb2a47c248249e15e22b63567cf1bc9'
-         'b07a631472c94f56cda6d5a015864693'
-         '649d2be2656810394c99ad95664d4b8c'
-         '1f73c881ff20d049324a86ebdd85a133'
-         'fc3da23e1bba4673064cc66455a656ee'
-         '80402a47478dee5962ce7d9a5eba81b8'
-         '95f051531ad8e0b609e8f370295652ab'
-         '3c3741894e1824015bc9a22dfd98803d'
-         '40b8c8a1f1008b2f710af39ddc02405a'
-         '8c0349c4bbb700f18e0a0e26cd31b4d5'
-         '05191072f4671e229a405eed3589f9c4'
-         '593eb65c3f55ff72f7df31bba9abe2f2'
-         '89ea12efe5ef90226593f532f6e711e1'
-         '404aa11e1fe1088dc787b343a203ad7b'
-         '4241b5f5f243e663271cf8119e0111d7'
-         '40c2d3cf516e6ae9b2ee7bd37b15e21f'
-         '4ed4ec3c04f9ff052e551a1765205a32'
-         '18d37811757c2849f85f48af381f5e2a'
-         'baba108fb7670d6fd92cb52acbc7483e'
-         '307ca59bd35fb3cb5dd31b3720df1975'
-         'c34f838b824d2f72b4af876ad156c42a'
-         '8c29e47eb31b0207d08c64e24ae0e36c'
-         '1425c6eb76d01b19ee4c493f3e3185b7'
-         'adef0b483610db52c3da48d445a6fd9d'
-         'af9cd0b4a49414f49fc6cdcb11287cf8'
-         '9f32372281907d01f761ea782ca88a5b'
-         '56d1829896b0ac558727a4fc1273911b'
-         '3eab5aee81ba1d5a567440fc09a359a9'
-         '1ed29d0b09e43d534838ac954399c51d'
-         '5d34eabda7b57c74a0990df8c6f9d70e'
-         'd654951d5371b89ef937e1b0a8338f05'
-         'b4e10e5d03cfcd7339049e548b17033b'
-         '2db170dd38cb1df5e826a1602181cc5f'
-         'cb75a2a7328633a96911ec718f4bd2a6'
-         '005b810289f398db767b1d3c993d13e6'
-         'e119482543a3c9eac8bfcd08540187c5'
-         '6691ae5d08d19e2d8de09f50cc3a663c'
-         'dc17231ce7e339f12df74cb4125e1238'
-         'b97e9ed4e0a735a3b450a6ea1b9421ec'
-         'd0b59814c8536ee70c4a6da046b62ddd'
-         '3a6c53672b7bc5fc860db6f5cbb3f742'
-         '92d383bc7855df2aacd041c9225f3ce3'
-         '2d23f6b482b3f68ef89ce7b641501e23'
-         '3c928b74a448819750f926dc9b1a4635'
-         '11cd4547575b35bdc3a4b703803b198e'
-         '38a3cb8c925f4e795a2eaac5c18825cf'
-         '3e572b9c57c542bb91c4c1352c651219'
-         'f97a2a41ad7b179d8dc0d34a331b4ba6'
-         '8d680b4da04715590898f41f0288fe2b'
-         'a2292a37a2d9773d8ba654af80b0cb0f'
-         '6781c9e5927d898d1f8c6604d2fd2d40'
-         'c4e9e52430e032042200f1bb07123657'
-         'ac3ec421068975f180dcef3a671f4351'
-         'b3324a92a49689b0fc3a8c55abd4e933'
-         '5332eaf0636e76ca013278be8e0ce9d7'
-         '5a30764b36e5f756aeda4b50d94cd877'
-         'a02b38961f990ad3b2b0f1a105aeefe5'
-         '9a0568ff630e764b79bb534f406ca3d2'
-         'e73ca221daec89bc8216529b7a08a42d'
-         '25581e1cc806a18b2a74ea234c6e2861'
-         '8b255d3740943d3607b813299ec60057'
-         'bcddf88ddacfc85a0826d226057febc2'
-         'fa5a5f340c5bdd881c5b48cc10a3e421'
-         '6de708e27e9dc64f267422d9b26505a0'
-         '863c3ecc1e42f7f0400f4e8fe6b078c9'
-         '86034f0589bae141012a2a9f6b22d337'
-         '998e91667d93a28ac4f30b70dd7bca4a'
-         'fef4906e2afbafdc0f72b0db2cefc487'
-         '4e698baa1538678a8d718f2a1fda9555'
-         '73c34607b13b1ca5857b1e89e2ff5898'
-         '8f7b56dc2d7c8f4ac9ba45f39dafb94d'
-         'fb2045468df953154f3828595d5d8f97'
-         'b70c45744dde111c3bd1519a93af84ea'
-         '9e1596d3e961fdb983fc5b3a2bea6096'
-         'c7faabf9aecb12b7a16aa63ea23e3b6c'
-         'af843f521b5ecbb1fc1fe4e5563c8218'
-         '9a6a814c641d1b3b9bc96584bcf408e3'
-         '42f8db8c6541c0e6f5c0b3192f886b26'
-         'e7c7d499ef2e136ec65c9be26cad03b3'
-         '2e278cf5014f518b4ab1823c527ac1e4'
-         'ea6b8d22f655fd739ce520a46afdb6da'
-         'fef51b9465efaf8bcc812197295b2de3'
-         '12019c5ef16f96b6e8cb202c50eb964e'
-         '5e9426a70a0deca99e427be8e11ec2e7'
-         'e0a4ce8e7495f70ae1494520b27b9ac6'
-         'ab6c99d77ebd2d04525282f8939329d8'
-         '736bf365f63ce12dba87c1e7f9d8c530'
-         '741c66e665204bb05fb3a6b0848046d8'
-         '93d58cbf39d4edcdd0dbbec4fe99641b'
-         '65cc79bfeb235f80bf335d4a94d4f0e0'
-         '55fa67696bc40b20139c63a787501ec2'
-         '1624b53d684b175eb7f0be2e51ee82ad'
-         'a8f04aa74fbb85972a1ff08c8f09b4ee'
-         '8ee5c2e716fba5f6570e305b692040c9'
-         '5923c3ed45a7655d5d4bc094f12a8ab5'
-         '3386157d635018a0e3fdedf2064d4556'
-         '998ada829ed317868286d00c45969a91'
-         'b44f5b4f1f6adb5392c00ab4aa4877e0'
-         '4d66497125c0dd664b824d8d77d60c9a'
-         'bddefc5f8e3bd5c7862f5ccf0624eca2'
-         'dadfec85df3c2c06a0fbbe935b736302'
-         '0a061c2bcd8a3673c8afe03caf28459e'
-         '6b4f8138ba66377223e2da19f1515bad'
-         '1b1cdc8a30cfb739083f4fb419f4472a'
-         '6f8e4b5d97a08051c367099964febbb1'
-         'a17b61a512e1ece60a1fd54e81c04878'
-         '831743618e9ba22146912e9c9c547922'
-         '7a5505df4e2dae5d26d7bebc5b7aaf2e'
-         '9958b18f95a707a39268b0d5a3c043ef'
-         '31f686c836973b74eb50eb08be5c54e5'
-         '6d4a307ce89547da0f14036eaa8e8624'
-         '1f8d1df73161da45a0c8162b5f603c1f'
-         '91262087bc6e58780b2f3962f5ea6d84'
-         '4ed56d09558326ac075535cc170b7cce'
-         '569b21b5dbafc1542f7a3008d23c436a'
-         'ac6eac3e6fdfbc19ea8925cabafeb437'
-         'b24b3cf9fe3ad3c95646333e20e76103'
-         '10f338d237af2b15e69426b36f4198ab'
-         '03a0683a3d62ee26546c82610483c502'
-         'a23ee0fdd5613db755291419f0ab5c3d'
-         '9337d9a2dc0af4ede5db629b6c023f99'
-         'e87c68128eb6350c1c6b5dffe9a92e8d'
-         'd77158e4585bd795fb90710137c6c5eb')
-
-prepare() {
-  for i in ${pkgname[@]}; do
-    _pkglang=${i#*-}
-    _pkglang=${_pkglang/fresh-}
-
-    echo ${_pkglang} " unpacking..."
-    cd "${srcdir}"/LibreOffice_${_rcver}_Linux_x86_rpm_langpack_${_pkglang}/RPMS
-
-    # remove dictionaries if shipped - we ship them now in separate packages
-    rm -vf *-dict-*.rpm || /bin/true
-
-    for j in *.rpm
-      do rpmextract.sh $j
-    done
-
-    # the helppack rpm goes also into the langpack dir
-    rpmextract.sh \
-      "${srcdir}"/LibreOffice_${_rcver}_Linux_x86_rpm_helppack_${_pkglang}/RPMS/*.rpm \
-      || true
-  done
-}
-
-_package() {
-  pkgdesc="$2 language pack for LibreOffice Fresh"
-  depends=('libreoffice-fresh')
-  provides=("openoffice-$1" "libreoffice-$1")
-  conflicts=("openoffice-$1" "libreoffice-$1")
-  replaces=("openoffice-$1")
-
-  cd "$srcdir"/LibreOffice_${_rcver}_Linux_x86_rpm_langpack_$1/RPMS
-  mkdir -p "$pkgdir"/usr/lib/libreoffice
-  cp -R opt/libreoffice*/* "$pkgdir"/usr/lib/libreoffice
-  chown root:root -R "$pkgdir"/usr/lib/libreoffice
-}
-
-for _lang in "${_languages[@]}"; do
-  _locale=${_lang%% *}
-  _pkgname=libreoffice-fresh-$_locale
-  source+=(${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_langpack_${_locale}.tar.gz)
-
-  if curl -o /dev/null -s -I -f ${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_helppack_${_locale}.tar.gz; then
-    source+=(${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_helppack_${_locale}.tar.gz)
-  fi
-
-  pkgname+=($_pkgname)
-  eval "package_${_pkgname}() {
-    _package $_lang
-  }"
-done

Copied: libreoffice-fresh-i18n/repos/extra-any/PKGBUILD (from rev 226252, libreoffice-fresh-i18n/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2014-11-14 18:55:57 UTC (rev 226253)
@@ -0,0 +1,354 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+
+pkgbase=libreoffice-fresh-i18n
+
+pkgver=4.3.4
+pkgrel=1
+_rcver=${pkgver}.1
+#_oodlver=${pkgver}.0.beta1
+_oodlver=${pkgver}
+
+arch=('any')
+url="http://www.documentfoundation.org"
+license=('LGPL')
+makedepends=('rpmextract')
+
+#http://download.documentfoundation.org/mirrors/all.html
+_url="http://download.documentfoundation.org/libreoffice/stable"
+#_url="http://download.documentfoundation.org/libreoffice/testing"
+#_url="http://dev-builds.libreoffice.org/pre-releases"
+#_url="http://www.libreoffice.org/download/pre-releases"
+
+#_url+="/${pkgver}-rc2/rpm/x86"
+_url+="/${pkgver}/rpm/x86"
+#_url+="/rpm/x86"
+
+_languages=(
+  'af            "Afrikaans"'
+  'am            "Amharic"'
+  'ar            "Arabic"'
+  'as            "Assamese (India)"'
+  'ast           "Asturianu"'
+  'be            "Belarusian"'
+  'bg            "Bulgarian"'
+  'bn            "Bengali"'
+  'bn-IN         "Bengali (India)"'
+  'bo            "Tibetan"'
+  'br            "Breton"'
+  'brx           "Bodo"'
+  'bs            "Bosnian"'
+  'ca            "Catalan"'
+  'ca-valencia   "Catalan (Valencia)"'
+  'cs            "Czech"'
+  'cy            "Welsh"'
+  'da            "Danish"'
+  'de            "German"'
+  'dgo           "Dogri"'
+  'dz            "Dzongkha"'
+  'el            "Greek"'
+  'en-GB         "English (GB)"'
+  'en-ZA         "English (ZA)"'
+  'eo            "Esperanto"'
+  'es            "Spanish"'
+  'et            "Estonian"'
+  'eu            "Basque"'
+  'fa            "Persian"'
+  'fi            "Finnish"'
+  'fr            "French"'
+  'ga            "Irish"'
+  'gd            "Gaelic (Scottish)"'
+  'gl            "Galician"'
+  'gu            "Gujarati"'
+  'he            "Hebrew"'
+  'hi            "Hindi"'
+  'hr            "Croatian"'
+  'hu            "Hungarian"'
+  'id            "Indonesian"'
+  'is            "Icelandic"'
+  'it            "Italian"'
+  'ja            "Japanese"'
+  'ka            "Georgian"'
+  'kk            "Kazakh"'
+  'km            "Khmer (Cambodia)"'
+  'kmr-Latn      "Kurdish"'
+  'kn            "Kannada"'
+  'ko            "Korean"'
+  'kok           "Konkani"'
+  'ks            "Kashmiri"'
+  'lb            "Luxembourgish"'
+  'lo            "Lao"'
+  'lt            "Lithuanian"'
+  'lv            "Latvian"'
+  'mai           "Maithili"'
+  'mk            "Macedonian"'
+  'ml            "Malayalam"'
+  'mn            "Mongolian"'
+  'mni           "Manipuri"'
+  'mr            "Marathi"'
+  'my            "Burmese"'
+  'nb            "Norwegian Bokmal"'
+  'ne            "Nepali"'
+  'nl            "Dutch"'
+  'nn            "Norwegian Nynorsk"'
+  'nr            "Ndebele (South)"'
+  'nso           "Northern Sotho"'
+  'oc            "Occitan"'
+  'om            "Oromo"'
+  'or            "Oriya"'
+  'pa-IN         "Punjabi (India)"'
+  'pl            "Polish"'
+  'pt            "Portuguese"'
+  'pt-BR         "Portuguese (Brasil)"'
+  'ro            "Romanian"'
+  'ru            "Russian"'
+  'rw            "Kinyarwanda"'
+  'sa-IN         "Sanskrit (India)"'
+  'sat           "Santali"'
+  'sd            "Sindhi"'
+  'si            "Singhalese"'
+  'sid           "Sidama"'
+  'sk            "Slovak"'
+  'sl            "Slovenian"'
+  'sq            "Albanien"'
+  'sr            "Serbian"'
+  'sr-Latn       "Serbian (Latin)"'
+  'ss            "Swati"'
+  'st            "Southern Sotho"'
+  'sv            "Swedish"'
+  'sw-TZ         "Swahili (Tanzania)"'
+  'ta            "Tamil"'
+  'te            "Telugu"'
+  'tg            "Tajik"'
+  'th            "Thai"'
+  'tn            "Tswana"'
+  'tr            "Turkish"'
+  'ts            "Tsonga"'
+  'tt            "Tatar"'
+  'ug            "Uighur"'
+  'uk            "Ukrainian"'
+  'uz            "Uzbek"'
+  've            "Venda"'
+  'vi            "Vietnamese"'
+  'xh            "Xhosa"'
+  'zh-CN         "Chinese (simplified)"'
+  'zh-TW         "Chinese (traditional)"'
+  'zu            "Zulu"'
+)
+md5sums=('a21b95ace70b35df92ad7227ab6e107a'
+         'a011ad99b44f826938fb639c5fb8b207'
+         '28dc3107359bb61e2e4eff1c7713d17b'
+         '71f4feeb1f46833a7ea6403c079451be'
+         '8dd7d47ad48996fcc83607cd530fc592'
+         '894ff70a75711ab1ad1c3b705cb741b3'
+         '66e6c48a01350973f9df788fa9ddec89'
+         'db5a1877f3903442b2693c6e8a73a672'
+         'e4ea9d9b22832e216ae54e4baf8e4902'
+         '38635463edc458fbc1e0c4c41f709e4b'
+         '2da562e292a960d753b5dea072560a9a'
+         '9f0cc0db2e18cc2209b6db4b07d92290'
+         '9fbe77e0e65ab5907d8d2a32cd46bbb8'
+         '2fb5dff3617646458f256cdf0d3659c0'
+         '81235a51d3c483e8d2f6d310cdf41c62'
+         '74cad5768c469ef1d3cb9a13a6de16d4'
+         '0beb8ea4ca20af97a379abcbf3909725'
+         '5bebc0c96a01c27d844a28c04b9a2e4a'
+         'dc1d1f67a261f3524c34c3f633b7f896'
+         '8f7994cd52297c9629bc476a9c8b2815'
+         '86324740bf6f983be3bcfa0820f7b52e'
+         '7ca86875645105bc17432e72da6690e6'
+         'f4b8ae9be043a10f89ae1c8fe480331f'
+         'c6a62b32171c62c1adaada2b937693ac'
+         '10be0eaf88a0b826548374ffd78a9079'
+         'f796137c355b75245c3319e084d665d5'
+         '19176359a5b65b3ea622239f12b669c0'
+         'bb94fdc1583cacda0f900badd5159164'
+         '745e0ab44d43324001e1ae6e6f9d65ba'
+         'e15ef9b25038a6b2061abb5930fc39e0'
+         'fc3850af0c99bd60a9ff22b3adf41ffe'
+         'f64dc20e240d46b67950987bda140f87'
+         'd5b350cbb68b5bca431580e2cd6c1a56'
+         'cea28a61ecca1591efcbe5420c35d943'
+         '7c36b77822a100367d2e911b04bccfa1'
+         '33393f602b3e64b5e92e327a02845e37'
+         '5958433af4f69297a0ed60105dca336a'
+         '4d58695b729109e973a37969be6c0fd6'
+         '5de7409bc1db798225cc1993bc867d12'
+         '22f02c0bce28b548f787a01b96440977'
+         'dee8cea32a88901b0214e5bf60ad45a1'
+         '48258df6c90558bde3c6f5c95611437a'
+         'ed65b06acb45fe77674474a05b7738c2'
+         'e1b21018e8c2f0d8e9c784b414c22a7b'
+         'aa5fd2687e655043d7da345915067765'
+         '659597a293c6eeac0f375ba1694e1aff'
+         '42f689b3bebe2d60e8a68ed308c0ef49'
+         '241cfdee7923e35289eea335da22a2df'
+         '8b13b6d1e2e40132d4ac2c7054e92e13'
+         '0db4f1be203b61c661cc9fc5075eb6d7'
+         'b1de9e4d27201fcb75c3119f9b2be4f6'
+         '1eca3c423f9c10f5f5d5d294b2f2bf8d'
+         '9995abad81f772d29110b9835d6a1bf0'
+         '462c224d2d74b8576444bb12f855c3d3'
+         'c5a1a1048c0c4415e2f0a44aaa64594c'
+         'a4783d46ee79fa3a2e287cded9252e88'
+         '65cf901b2fbc01638b09950907d39356'
+         'bfbec58a6177b38eb176bb8fbda4a271'
+         '543d03335fa3decc67040b4030085beb'
+         '999e2f9fa2a76d497164439bb4685724'
+         '428c6b3c639cf7b10a9eee0e28b5a3ba'
+         'd04853266ad1c34852cba7bb00471ce0'
+         '89ed6a05ece762897b06e21a8773bc64'
+         'f3d9d81cd36d31c2e6da279f64165b8e'
+         '114c9d0d77efe24594f454728c195f46'
+         '1d5d79dbfb0b078f8ae65775ba11a37f'
+         '46f3577f2b8c8bedb9f473a359c55c9f'
+         '6b3c1b2389019f8a39ab03ea7b185918'
+         'a9492de6eb3d94d3c8b13f6b71f12cef'
+         'e313181a382d4c1ee2aa7739682dae21'
+         'f5dfcc2ec3756c22504f21232146fe13'
+         '945344358a3d3741b89a2b7708f6a420'
+         'ec73e14aad184354829b29146a7bfc06'
+         '16a9b73cef3776ca65249fe41e771d80'
+         'a50f473a49962efdb797877255382417'
+         '43bd8e55fa25f09e53d62d2ad1a6f997'
+         'f5fecb70d20b8596dcaf956ba3368990'
+         '62af027c1f39219b8b4fc60adcc4a526'
+         '53770721b667b62273eb487e758d5c14'
+         'c8ee4bcdfefa5849ad71ff2f18c6a2f4'
+         '925479bc99faf31e4effa98c7029fe64'
+         '3c7fa8627869258b02837b424f96d060'
+         '6a9cd4f075dd1fadedfb65ef1d23d6e7'
+         'a040cb3682c01f4b71632f508f0434a3'
+         '0fdd923785cf2491a1d339e32ca9c013'
+         'c4f7230a2508c393436ad38ad64c8af5'
+         '2bc55673439939f1d4ab38c98e780a97'
+         'cffc3481c79004e3efe31da3be54b3a4'
+         'f56af71252f2c71c16c3c49ec8e43a00'
+         '8471b5e1606b4aa80823c92a116e5289'
+         '142d21007d829ebd2273cb648c832791'
+         'c434ce479b9039148ae62f4e8129fc61'
+         '7e17270d45ec3980837be26f71161d0c'
+         'ffabf672566bd47f9c4d072d913482b1'
+         '300c5675c26300e6bac51a0305b1f1bd'
+         '33f760fbf365d12d5bd9a73fe3bc9443'
+         '614f384463df8d0a993f96cc0f49fa5e'
+         '6866d9338d9d39d199a91497ab747f1b'
+         '89d5ddf97055706ec67d894b68ab20c1'
+         'eb23e3f418ca7fb0d9720cd873cdd61e'
+         'b919116e938e64371ae99fcb5dc47acf'
+         'a46547004795eaec67c82064c5186f45'
+         '250e6e3f4ca6b8363a49dc7db27cf605'
+         '3b7bd573877f237c0a454ae0fe01d18d'
+         '8d6de480b38247b4cdc5336c68437b8b'
+         '73266c9610fed3e4f4ae04e5084ce20a'
+         '8a07d82b8e2528b3549cd61cd34ffe65'
+         '72c2cae3895f778e008d22ef66fc1ac3'
+         '92abae17dcf8162ead784cc10e90e0af'
+         'b3d08a9d7fe63c58a60beb2ff2dda226'
+         'a8af9f6544927d3dadd2f96440f77d75'
+         '608e56d80ac50d4e4b0ec2c3150303d5'
+         '6d3631a8986a33924bd04615b9c90c63'
+         '4cceb57dc9e40dc41ceeb57ee52fbb4b'
+         '9bd00892801bb09c31a1d1efb3a471ac'
+         'd1aaf2c3993eff6dba2c69ffc874c7aa'
+         '99551c156cedc31cd1ec2693073917d9'
+         '551b9f0cb0dbbfc89e3bde3cca789394'
+         'd99a13ca1a8918840c3225803dedefbc'
+         'e4a46f602f02ef80cdcfd31581032ce6'
+         '41996037eee8512e684f20c251917a7e'
+         '4416baf5bb30548992b40a901c8a838d'
+         'f3eb42290a5a993e68814862fcd0f606'
+         '943719426f87583c770b142a755cef7f'
+         'be45599e22db20def769acd99fab0313'
+         'bc2745f6392b701d77d2ba8c4197c3e1'
+         '4ecf696a8dfe889cc0abf5278a6a36c2'
+         '89b29f266a899aa8f9aea614c412b0af'
+         'a78b10350cc44271d5a568609397678f'
+         '48827df53545ce1783c542966fafdbfc'
+         'd5b6fcef73f19d6065f674d6e00076d3'
+         '2a5abb5a9d2c19909b65a3eb674cdc9b'
+         '8161fae70da15e7f94fa8f409ff6631c'
+         '3913508e61d0777a5de7f2ee0884730a'
+         '8351e9afe61555dafb52eec95ec59eb2'
+         '6c613b45f7e30f88bdb046d0d0324c72'
+         '1d7d7084a9b6081e71cca657e510b025'
+         'ae1b011ae9b7e47bf33199d0b9f79c53'
+         'b251778c21cf117c19239d04b5478fe3'
+         'db85e6a8bbb319cd36c9531c00046ce8'
+         '539b7ba6cfe20fe743d3c9a8c28ea269'
+         '6d7079e8aaa5cc631da5a209aedcdbf4'
+         '848e1942cdb2c8638cbc56f26ccde8fa'
+         '0b1b136311d1daa6e3290c4ae9626ab6'
+         '8ae7f64635bbf5b1c84195a4e40eddf9'
+         'a77a2c9b9c9c58ee1379bd631ebbd8b3'
+         '52adf9b112a46ac3e8257fea51f6ffa7'
+         '6660f6c41a72be6b3407724b3bef7fa7'
+         'ab25db01d8c8132f07e8e23d90654461'
+         'ba2018b1032f7e0eff14ea6775f7f67b'
+         '846b34cd4586b57db9e19bfcaa250f1f'
+         'f83ebccb0cfb34ebb5be431164bcc034'
+         'bc553de380d0ebbf37cbeedd02dcc6b0'
+         '778715738f489b8a92a4abbfdf8d2efd'
+         'b4cc9224987c16b7049a34201409ab73'
+         '0ec8103addf9af08cea70555832f3cc2'
+         'cab81c247f47fdf9725987e2c3329f6e'
+         'e7a866a92ab4a2deb3053e1208dc703a'
+         '0e6d817b4fe9e83e7cd525b0e137b598'
+         'ebe2a190e772a07aac37dfdc3bcfa4cd'
+         'a6efeb993b028097968b47a601ac546f'
+         'dc79a7e4289c6aeebaa1da4901d3458f'
+         '2604c5544f32c15498e8d2e64b3ea171'
+         '4db419a5ec571b28d64455d1dc04d9b1'
+         '3caafb164633effbf5df6125781ad94d'
+         '14ca59570800d7a75b3ca4162f329950')
+
+prepare() {
+  for i in ${pkgname[@]}; do
+    _pkglang=${i#*-}
+    _pkglang=${_pkglang/fresh-}
+
+    echo ${_pkglang} " unpacking..."
+    cd "${srcdir}"/LibreOffice_${_rcver}_Linux_x86_rpm_langpack_${_pkglang}/RPMS
+
+    # remove dictionaries if shipped - we ship them now in separate packages
+    rm -vf *-dict-*.rpm || /bin/true
+
+    for j in *.rpm
+      do rpmextract.sh $j
+    done
+
+    # the helppack rpm goes also into the langpack dir
+    rpmextract.sh \
+      "${srcdir}"/LibreOffice_${_rcver}_Linux_x86_rpm_helppack_${_pkglang}/RPMS/*.rpm \
+      || true
+  done
+}
+
+_package() {
+  pkgdesc="$2 language pack for LibreOffice Fresh"
+  depends=('libreoffice-fresh')
+  provides=("openoffice-$1" "libreoffice-$1")
+  conflicts=("openoffice-$1" "libreoffice-$1")
+  replaces=("openoffice-$1")
+
+  cd "$srcdir"/LibreOffice_${_rcver}_Linux_x86_rpm_langpack_$1/RPMS
+  mkdir -p "$pkgdir"/usr/lib/libreoffice
+  cp -R opt/libreoffice*/* "$pkgdir"/usr/lib/libreoffice
+  chown root:root -R "$pkgdir"/usr/lib/libreoffice
+}
+
+for _lang in "${_languages[@]}"; do
+  _locale=${_lang%% *}
+  _pkgname=libreoffice-fresh-$_locale
+  source+=(${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_langpack_${_locale}.tar.gz)
+
+  if curl -o /dev/null -s -I -f ${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_helppack_${_locale}.tar.gz; then
+    source+=(${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_helppack_${_locale}.tar.gz)
+  fi
+
+  pkgname+=($_pkgname)
+  eval "package_${_pkgname}() {
+    _package $_lang
+  }"
+done


More information about the arch-commits mailing list